Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::navigation_info_node Class Reference

Abstract base class for normal nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::navigation_info_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~navigation_info_node ()=0 throw ()
| Destroy.
const std::vector< float > & | avatar_size () const throw ()
| Get the avatar dimensions.
bool | headlight () const throw ()
| Get the state of the headlight.
float | speed () const throw ()
| Get the current speed of the user view.
const std::vector< std::string > & | type () const throw ()
| Get the navigation type.
float | visibility_limit () const throw ()
| Get the visibility limit.

## Protected Member Functions

| navigation_info_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual navigation_info_node * | to_navigation_info () throw ()
| Cast to a `navigation_info_node`.
virtual const std::vector < float > & | do_avatar_size () const =0 throw ()
| Get the avatar dimensions.
virtual bool | do_headlight () const =0 throw ()
| Get the state of the headlight.
virtual float | do_speed () const =0 throw ()
| Get the current speed of the user view.
virtual const std::vector < std::string > & | do_type () const =0 throw ()
| Get the navigation type.
virtual float | do_visibility_limit () const =0 throw ()
| Get the visibility limit.

## Detailed Description

Abstract base class for normal nodes.

## Constructor & Destructor Documentation

openvrml::navigation_info_node::~navigation_info_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::navigation_info_node::navigation_info_node | ( | const node_type & | t,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | t | the `node_type` associated with the node.
  `[in]` | scope | the `scope` the node belongs to.

## Member Function Documentation

const std::vector< float > & openvrml::navigation_info_node::avatar_size | ( |  | ) | const throw ()

Get the avatar dimensions.

This function delegates to `do_avatar_size`.

Returns:
  the avatar dimensions.

bool openvrml::navigation_info_node::headlight | ( |  | ) | const throw ()

Get the state of the headlight.

This function delegates to `do_headlight`.

Returns:
  `true` if the headlight is on; `false` otherwise.

float openvrml::navigation_info_node::speed | ( |  | ) | const throw ()

Get the current speed of the user view.

This function delegates to `do_speed`.

Returns:
  the current speed of the user view.

const std::vector< std::string > & openvrml::navigation_info_node::type | ( |  | ) | const throw ()

Get the navigation type.

This function delegates to `do_type`.

Returns:
  the navigation type.

Reimplemented from openvrml::node.

float openvrml::navigation_info_node::visibility_limit | ( |  | ) | const throw ()

Get the visibility limit.

This function delegates to `do_visibility_limit`.

Returns:
  the visibility limit.

openvrml::navigation_info_node * openvrml::navigation_info_node::to_navigation_info | ( |  | ) | throw ()`[private, virtual]`

Cast to a `navigation_info_node`.

Returns:
  a pointer to this `navigation_info_node`.

Reimplemented from openvrml::node.

const std::vector< float > & openvrml::navigation_info_node::do_avatar_size | ( |  | ) | const throw ()`[private, pure virtual]`

Get the avatar dimensions.

Returns:
  the avatar dimensions.

bool openvrml::navigation_info_node::do_headlight | ( |  | ) | const throw ()`[private, pure virtual]`

Get the state of the headlight.

Returns:
  `true` if the headlight is on; `false` otherwise.

float openvrml::navigation_info_node::do_speed | ( |  | ) | const throw ()`[private, pure virtual]`

Get the current speed of the user view.

Returns:
  the current speed of the user view.

const std::vector< std::string > & openvrml::navigation_info_node::do_type | ( |  | ) | const throw ()`[private, pure virtual]`

Get the navigation type.

Returns:
  the navigation type.

float openvrml::navigation_info_node::do_visibility_limit | ( |  | ) | const throw ()`[private, pure virtual]`

Get the visibility limit.

Returns:
  the visibility limit.